CTXTOOLS(1)

NAME
ctxtools - clean up temporary ConTeXt files, install latest ConTeXt

SYNOPSIS
ctxtools [ OPTION ... ]

DESCRIPTION
ctxtools is useful for dealing with ConTeXt source and generated files and for installing new versions of ConTeXt.

OPTIONS

--help
    Print the available options.

--purgefiles
    Get rid of many temporary files generated by ConTeXt. You can give the --all option to remove a larger fraction of those files, and the --recurse option to remove these files also in subdirectories.

--contextversion
    Show the date of the ConTeXt macros and the format file. Useful after upgrading ConTeXt (perhaps using --updatecontext) to check whether the new formats and macros are visible to the TeX path searches (see kpsewhich(1).

--updatecontext
    Download the latest ConTeXt distribution and install it in the TEXMFLOCAL tree (see kpsewhich(1) for information on TeX path searching). TEXMFLOCAL usually points to a system-wide location. If you want to install the new ConTeXt in your home directory (i.e. an install for one user), then set the TEXMFLOCAL environment variable while running ctxtools. For example, using the syntax of the Bourne shell sh(1):
        TEXMFLOCAL=$HOME/texmf ctxtools --updatecontext

--documentation
    Generate a .ted file from the source file. See also the --module option to texexec(1).

--patternfiles [languagecode]
    Generate pattern files. You can also give the --all, --xml, and --utf8 options.

ENVIRONMENT

TEXMFLOCAL
    Used by --updatecontext to decide where to install the distribution.

SEE ALSO

texexec(1), texmfstart(1).

BUGS
This manual page is not complete.

AUTHOR
This manual page was written by Sanjoy Mahajan <sanjoy@mit.edu>. It is in the public domain.